## org.apache.myfaces.taglib.html.ext
Class HtmlMessagesTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlMessagesTagBase
                      org.apache.myfaces.taglib.html.ext.HtmlMessagesTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlMessagesTag
extends HtmlMessagesTagBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlMessagesTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setDetailFormat(java.lang.String detailFormat)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setGlobalSummaryFormat(java.lang.String globalSummaryFormat)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setReplaceIdWithLabel(java.lang.String replaceIdWithLabel)`
`void` `setSummaryFormat(java.lang.String summaryFormat)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlMessagesTagBase
`setErrorClass, setErrorStyle, setFatalClass, setFatalStyle, setGlobalOnly, setInfoClass, setInfoStyle, setLayout, setShowDetail, setShowSummary, setTooltip, setWarnClass, setWarnStyle`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlMessagesTag

    public HtmlMessagesTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlMessagesTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlMessagesTagBase`

### setSummaryFormat

    public void setSummaryFormat(java.lang.String summaryFormat)

### setGlobalSummaryFormat

    public void setGlobalSummaryFormat(java.lang.String globalSummaryFormat)

### setDetailFormat

    public void setDetailFormat(java.lang.String detailFormat)

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

### setReplaceIdWithLabel

    public void setReplaceIdWithLabel(java.lang.String replaceIdWithLabel)